Ausgangsrechnung aktualisieren
Aktualisiert Metadaten einer Ausgangsrechnung. Nur `intent_id`, `notes` und `due_date` koennen geaendert werden. Die `intent_id` kann nur einmal gesetzt werden.
PATCH
/v1/outgoing-invoices/:id Authorization
Authorization string header erforderlich API-Key im Format
ll_.... Übergabe als Bearer Token. Request Body
intent_id uuid optional Journal-Intent verknuepfen (nur einmal setzbar)
notes string | null optional Freitext-Notizen
due_date string | null optional Faelligkeitsdatum (YYYY-MM-DD)
Antworten
200
Erfolgreich
400
INVALID_INPUT Pflichtfelder fehlen oder Werte entsprechen nicht dem erwarteten Format.
400
NO_CHANGES
404
NOT_FOUND Die angeforderte Ressource wurde nicht gefunden.
409
INTENT_ALREADY_SET
PATCH
cURL /v1/outgoing-invoices/:id -cmd">curl --request -method">PATCH -punct">\
--url 'https://api.ledgerlou.de/v1/outgoing-invoices/:id' -punct">\
--header 'Authorization: Bearer ll_your_key' 200 Response
JSON aktualisierte Ausgangsrechnung.